Subject: Re: [RFD] Gitweb: Source configuration from file separate from the CGI script

From: Jakub Narebski <[email-masked]>
Date: Tue, 22 Mar 2011 14:50:10 -0700 (PDT)

Matt Ryan <[email-masked]> writes:

> Hey, I don't mean to contribute to the confusion. 
> But, after adding a gitweb_config.perl in the 
> same directory as the cgi I haven't seen all the 
> changes take place. I tried something simple to start like so:
> 
> $feature{'blame'}{'override'} = [1];

This doesn't turn on 'blame' feature, but only allows override with
per-repository gitweb.blame repository configuration variable.

You probably wanted to use 'default', not 'override' here.

> $feature{'forks'}{'default'} = [1];

As you can read in comments, this is about very specific layout of
repositories, namely that forks of 'path/to/repo.git' are all
somewhere below 'path/to/repo' directory.

If you don't have forks organized in such way, you wouldn't see
changes from this feature.

> $feature{'avatar'}{'default'} = ['gravatar'];

This requires that email addresses of authors, committers and taggers
have gravatar entry.  This means that you have to create "account" on
http://www.gravatar.com).

> 
> Gravtar is now working, but I haven't seen 
> the blame or forks added. Any help would be appreciated, 
> thanks!

Hope that helps.
-- 
Jakub Narebski
Poland
ShadeHawk on #git